| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/macosx/OSXAssistant.h File Reference

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iOSXAssistant
| This is an interface for an object which provides assistance to MacOS/X-specific canvases and Objective-C bridging code for application run-loop support. More...
## Typedefs
typedef void * | OSXEvent
| An opaque handle to an Objective-C event record represented in C++.
typedef void * | OSXView
| An opaque handle to an Objective-C view object represented in C++.

## Detailed Description

Definition in file OSXAssistant.h.

## Typedef Documentation

typedef void* OSXEvent

An opaque handle to an Objective-C event record represented in C++.

Definition at line 28 of file OSXAssistant.h.

typedef void* OSXView

An opaque handle to an Objective-C view object represented in C++.

Definition at line 30 of file OSXAssistant.h.